import { LotteryData } from "../../tw/data/common/lottery/LotteryData";
import { DataManager } from "../../tw/manager/DataManager";
import { NetManager } from "../../tw/manager/NetManager";

const showCustomLog = (lottery: LotteryData): void => {
    //曝光埋点
    if (lottery.imgExposure) {
        NetManager.ins.showLog(lottery.imgExposure);
    }
    //如果是福袋还需要推啊曝光
    if (lottery.type == "lucky") {
        NetManager.ins.spmshow(DataManager.ins.getCustomOrderStatusData.exposure);
    }
}

export default showCustomLog;